Bug 804194 - X doesn't start
X doesn't start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F17Beta-accepted/F17BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-16 15:42 EDT by Marcos Mello
Modified: 2012-04-11 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-openchrome-0.2.905-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (29.08 KB, text/plain)
2012-03-16 15:43 EDT, Marcos Mello
no flags Details
lspci -nnvvxxx (43.04 KB, text/plain)
2012-03-16 15:45 EDT, Marcos Mello
no flags Details
Xorg log (take 2) (29.33 KB, text/plain)
2012-03-23 08:08 EDT, Marcos Mello
no flags Details
Xorg log (take 3) (33.04 KB, text/plain)
2012-03-24 09:17 EDT, Marcos Mello
no flags Details

  None (edit)
Description Marcos Mello 2012-03-16 15:42:05 EDT
F17-Beta-TC1 x86-64 netinst install media.

Anaconda GUI fails to start because X. Attached Xorg log and lspci -nnvvxxx. Latest Parted Magic's X works fine in this machine.
Comment 1 Marcos Mello 2012-03-16 15:43:44 EDT
Created attachment 570687 [details]
Xorg log
Comment 2 Marcos Mello 2012-03-16 15:45:20 EDT
Created attachment 570688 [details]
lspci -nnvvxxx
Comment 3 Xavier Bachelot 2012-03-16 17:05:03 EDT
Xorg server in F17 doesn't support xaa anymore and openchrome default is still xaa. You can probably get the driver going by using a minimal X conf to enable exa, although compositing is buggy and would need to be disabled.
Something like that in /etc/X11/xorg.conf.d/openchrome.conf should do :
Section "Device"
        Identifier  "Card0"
        Driver      "openchrome"
        Option      "AccelMethod" "exa"
        Option      "ExaNoComposite"
EndSection

I'll look into fixing that properly to run without an X conf.
Thanks for the report.
Comment 4 Fedora Update System 2012-03-18 17:07:44 EDT
xorg-x11-drv-openchrome-0.2.905-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.905-4.fc17
Comment 5 Fedora Update System 2012-03-20 02:03:37 EDT
Package xorg-x11-drv-openchrome-0.2.905-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-openchrome-0.2.905-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4200/xorg-x11-drv-openchrome-0.2.905-4.fc17
then log in and leave karma (feedback).
Comment 6 Marcos Mello 2012-03-21 19:12:52 EDT
Thank you for the fix. Once it reaches the next F17 Beta compose I'll test and report here.
Comment 7 Marcos Mello 2012-03-23 08:06:56 EDT
I did a F17 text install and the problem remains after installing xorg-x11-drv-openchrome from updates-testing (0.2.905-4.fc17). See attached log.
Comment 8 Marcos Mello 2012-03-23 08:08:47 EDT
Created attachment 572258 [details]
Xorg log (take 2)
Comment 9 Xavier Bachelot 2012-03-23 09:25:54 EDT
Ok, I see the issue. the xaa module is loaded even when not needed. I have a patch, but no machine in an usable state to test, so I'll do a scratch build and ask you to test it. I'll post a link soon. Sorry for the inconvenience, I should have updated at least one of my VIA machines earlier in the release cycle.
Comment 10 Xavier Bachelot 2012-03-23 09:37:05 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=3926199

Not sure this is enough, I'm discussing the issue upstream, but it worth a try.
Comment 11 Marcos Mello 2012-03-24 09:17:04 EDT
Still no video with 0.2.905-5.fc17, just a blank screen. And it completely blocks keyboard input (can't switch ttys). Need SSH access to manage the machine. New log attached.

I did a new install (VNC this time) with XFCE as DE and changed the "runlevel":

ln -sf /lib/systemd/system/graphical.target /etc/systemd/system/default.target

Do I need create /etc/sysconfig/desktop with "DISPLAYMANAGER=GNOME"?
Comment 12 Marcos Mello 2012-03-24 09:17:43 EDT
Created attachment 572441 [details]
Xorg log (take 3)
Comment 13 Marcos Mello 2012-03-25 16:04:15 EDT
Just confirming I did a new default "Desktop" install (GNOME) and got the same blank screen.
Comment 14 Fedora Update System 2012-03-28 01:53:29 EDT
Package xorg-x11-drv-openchrome-0.2.905-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-openchrome-0.2.905-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4200/xorg-x11-drv-openchrome-0.2.905-5.fc17
then log in and leave karma (feedback).
Comment 15 Marcos Mello 2012-03-28 07:34:26 EDT
Thanks Xavier! Version 0.2.905-5.fc17 works. I have some display corruption in Gnome Shell with fullscreen windows, but probably isn't xorg-x11-drv-openchrome problem.
Comment 16 Marcos Mello 2012-03-29 09:50:29 EDT
Xavier can you push this to stable so hopefully will be a next F17 Beta RC and VIA users will have a working Anaconda GUI in F17 Beta?
Comment 17 Xavier Bachelot 2012-03-29 11:58:26 EDT
The package needs to stay in testing 3 days before I can push it to stable, but I will definitely push it as soon as I can.

How's the screen corruption issue going ? Did you give a try at another desktop manager that doesn't need full 3D support, like KDE, xfce, lxde, etc... ?
Comment 18 Marcos Mello 2012-03-29 13:03:07 EDT
Yes. Gnome Fallback mode and KDE works without problem (I did just a quick test, opening some programs, changing windows, etc).

Unfortunately the P4M900 machine is gone (was from a friend). I have now a P4M800. With this one no corruptions yes (but it's very slow in Shell...).
Comment 19 Adam Williamson 2012-03-30 14:35:17 EDT
marcos: for the corruption, check you have mesa -9. There was a -7 build which was known to have issues.

Discussed at 2012-03-30 NTH review meeting. Accepted as NTH as this is obviously more or less a showstopper for VIA hardware and can't be fixed fully with an update (live boot and graphical install would still be affected).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Adam Williamson 2012-03-30 15:33:19 EDT
Dave: are there other drivers which need fixing for this? There was talk in the review meeting of nv being affected.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Marcos Mello 2012-04-05 18:22:13 EDT
Thanks Xavier, Adam. Fixed in F17-Beta-RC3.
Comment 22 Fedora Update System 2012-04-11 22:51:59 EDT
xorg-x11-drv-openchrome-0.2.905-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.